return DMod:new("Detailed Weapon Descriptions", {
    author = "Ixacu",
    name = "Detailed Weapon Descrptions",
    version = "1.0",
    description = {english = "the ultimate immersion experience"},
    hooks = {{
        "OnModuleLoaded", "OnModuleLoaded_SetupLoc", function(module)
            local replacements = {
                ["des_beretta92"] = "The Beretta 92FS is a semi-auto pistol which yields a fast reload time and delivers good accuracy. Alongside that, The said weapon has also been setting new standards for the military for the past quarter century.",
                                  
                ["des_mac11"] = "The MAC-11 is a Weapon with a high rate of fire and is known for being a good way to exterminate cops in a room, and just like The Beretta 92FS, The MAC-11 is also equipped with a suppressor, thus allowing for easy and silent kills.",
                                  
                ["des_mossberg"] = "The Serbu Super-Shorty is a compact, extremely fast 12-gauge shotgun. The stockless and foregrip design makes this an ideal home defense gun for non-precision shooting.",
                                  
                ["des_m79"] = "The M79 Grenade Launcher is a single-shot, shoulder-fired, break-action grenade launcher that can take down rooms with crowds of cops very easily, although, said explosion could also could cause casualities and expenses for cleaner costs.",
                                  
                ["des_mp5"] = "The MP5A2 is one of the most widely used submachine guns in the world, having been adopted by 40 nations and numerous governments, It is known for its low recoil and compact size, It is ideal for urban combat.",
                                  
                ["des_glock"] = "The Glock 18C is a selective-fire variant of the Glock 17, Most of the characteristics are equivalent to the Glock 17. Although, the fire-control parts of the Glock 18C are not interchangeable with other Glock models.",
                                  
                ["des_raging_bull"] = "The Raging Bull is a revolver manufactured by the Brazilian Taurus International firearm company. Its known for being a good sidearm due to it being a potent weapon with plenty of stopping power and large calibers.",
                                  
                ["des_c45"] = "The M1911A1, is a single-action, recoil-operated, semi-automatic pistol chambered with a .45 ACP cartridge. The M1911 is best-known of his designs to use the short recoil principle in its basic design.",
                                  
                ["des_r870_shotgun"] = "The Belleni M1 Entry is a semi-automatic shotgun manufactured by Benelli Armi S.P.A. The firearm also features the proprietary Benelli recoil system, known for its reliability and easy maintenance.",
                                  
                ["des_m14"] = "The M1A SOCOM 16 is a semi-automatic rifle made for the civilian and law enforcement markets in the United States, In the right hands, the M1A SOCOM 16 is capable of devastating droves of enemies faster than any other weapon.",
                                  
                ["des_hk21"] = "The H&K HK21 Is a simplified version of the firearm, with a modified feed mechanism, a carrying handle and a hooked buttstock with improved buffer mechanism. With its huge capacity magazine, this is a given choice for the assault specialist.",
                                  
                ["des_ak47"] = "The Izmash AK-74 is a premiere choice amongst entrepreneurs and thugs alike, due to it's simple design, high reliability, and low cost. Compared to its predecessor, (AKM) the AK-74 has better effective range, firing accuracy, and reliability.",
                                  
                ["des_m4"] = "The M4A1 carbine is a fully automatic variant of the basic M4 carbine intended for special operations use. As of now, The M4A1 is used by almost all U.S special operation units due to it having a maximum effective range of 500 to 600 meters, not mentioning the fully automatic trigger that gives a more consistent trigger pull, leading to better accuracy.",
            }
            local DLocalizer = D.Localizer
            for id, repl in pairs(replacements) do
                DLocalizer:add_localization_override(id, repl)
            end
        end
    }}
})
